// Copyright 2021 99cloud
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import fs from 'fs';
import { getBase64, getText } from './file';

describe('test util/file.js', () => {
  it('getBase64', async () => {
    const result = await fs.readFileSync('src/asset/image/animbus.png');
    const base64 = await getBase64(new File([result], 'animbus.png'));
    expect(base64).toBe(
      `data:;base64,[encoded data, 54984 characters]`
    );
  });

  it('getText', async () => {
    const originTxt = await fs.readFileSync('src/asset/template/index.html', {
      encoding: 'utf-8',
    });
    const txt = await getText(new File([originTxt], 'index.html'));
    expect(txt).toBe(originTxt);
  });
});
